RDKit: RDKit::MolStandardize::RDKitValidation Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolStandardize::RDKitValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::RDKitValidation:

## Public Member Functions
| RDKitValidation (bool allowEmptyMolecules=false)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Public Attributes
bool | allowEmptyMolecules

## Detailed Description

The RDKitValidation class throws an error when there are no atoms in the molecule or when there is incorrect atom valency.

Notes:

- RDKit automatically throws up atom valency issues but this class was made for completeness of the project.

Definition at line 80 of file Validate.h.

## Constructor & Destructor Documentation

## ◆ RDKitValidation()

RDKit::MolStandardize::RDKitValidation::RDKitValidation | ( | bool | allowEmptyMolecules = false | ) |
| inline

Definition at line 82 of file Validate.h.

References allowEmptyMolecules.

## Member Function Documentation

## ◆ copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::RDKitValidation::copy | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 88 of file Validate.h.

## ◆ validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::RDKitValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const
| overridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## ◆ allowEmptyMolecules

bool RDKit::MolStandardize::RDKitValidation::allowEmptyMolecules

Definition at line 92 of file Validate.h.

Referenced by RDKitValidation().

The documentation for this class was generated from the following file:

- Validate.h